<?php

namespace app\api\controller\notify;

use app\api\controller\BaseApiController;
use think\facade\Log;

/**
 *
 * Class BaiduNotifyController
 * @package app\api\controller\notify
 */
class BaiduNotifyController extends BaseApiController
{

    public array $notNeedLogin = ['notifyAccount'];

    public function notifyAccount(): void
    {
        Log::write(json_encode($this->request->param()));

        if($this->request->param()){
            $url = 'https://u.baidu.com/oauth/accessToken';
            $result = http_request($url,$this->request->param(),['Content-Type'=>'application/json;charset:utf-8;']);
            Log::write($result);
        }
    }

}